clc
clear all
close all

% no need for this now % input('Make sure all lights are turned off. Then press enter to capture pattern')
[pic,t] = newpicTaker();

%pic(:,:,) = im2double(rgb2gray(imread('12.bmp')));
imshow(pic(:,:,:,length(t)))
title('Mark end points for your line of interest along the pattern')
[y,x] = ginput(2);
%% cropping and converting image to grayscale and then to double (0 to 1) 
 for i=1:length(t) 
     piccrop(:,:,i) = im2double(rgb2gray(pic(round(min(x))...
         -50:round(max(x))+50,round(min(y))-50:round(max(y))+50,:,i)));%
 end
imshow(piccrop(:,:,length(t)))
[a,b] = size(piccrop(:,:,1));

%% combining the multiple exposures
%t = t+16; %shifting exposure scale from [-13,-3] to [3,13]..........

A = im2double(piccrop(:,:,1));
 for k=2:length(t)
     for i=1:a
         for j=1:b
             if piccrop(i,j,k)<=0.26 % defining the saturation limit (for gray scale 0to255) and (for double 0 to 1)
                 A(i,j) = im2double(piccrop(i,j,k)*(t(1)/t(k))); %this exposure factor...
                                          %... is effected by exposure scale
             end
         end
     end
 end
 
%% generating intensity profile and coverting pixel to distance
close all
imshow(piccrop(:,:,length(t)))
title('Mark end points for your line of interest for intensity profile. Right click twice to exit')
%[x,y] = ginput(2);
%intensity_profile = improfile(A,x,y); %intensity profile
h = impoly;
position = wait(h);
intensity_profile = improfile(A,position(:,1),position(:,2)); %intensity profile
 intensity_profile = intensity_profile/max(intensity_profile);
 scaleC = perspective(pic(:,:,:,length(t)+1)); %pixel distance to cm
 tc = (1:length(intensity_profile))*scaleC;
 plot(tc,intensity_profile)
 title('Intensity profile of combined image along the line of interest')
 xlabel('Distance (cm)')
 ylabel('Normalized Intensity')

