function [c] = perspective(picScale) %it gives a conversion factor of cm/pixel
% clc
% close all
% clear all
%picScale = imread('picScale.bmp');
imshow(picScale)
title ('select diagonal corners of your area that contains printed dots')
[y,x] = ginput(2);
y = round(y); x = round(x);
newpic = rgb2gray(picScale(min(x):max(x),min(y):max(y),:));
level = graythresh(newpic);
finalpic = ~im2bw(newpic,level);
figure;imshow(finalpic)
% hold on %comment it out
%close all
[x,y] = size(finalpic);
n=1;
a = [];
alpha = 0;
for j = 1:y
    for i = 1:x
        if alpha == 0
            if finalpic(i,j)==1
                a(n) = j; n=n+1;
                alpha = 1;
            end
        else
            break
        end
    end
    alpha = 0;
end
beta = [];
sa = size(a);
for i=2:sa(2)
beta(i) = (a(i)-a(i-1))-1;
end
xcen = [];
ycen = [];
datax = []; datay = [];
for j=1:sa(2)
    if beta(j)==0
        jy = a(j);
        for i= 1:x
            if finalpic(i,jy)==1
                xcen = [xcen,i]; ycen = [ycen,jy];
            end
        end
    else
        datax = [datax,mean(xcen)]; datay = [datay,mean(ycen)]; xcen = []; ycen = [];
    end
end
% plot(datay,datax,'ro') %comment it out
% hold off %comment it out

d = sqrt(datax.^2+datay.^2);
% figure;plot(d,'x') %comment it out
% hold on % comment it out
% plot(d) % comment it out
ds = [];
for i=2:length(d)
    ds(i-1) = d(i)-d(i-1);
end
% figure;plot(ds,'o') %comment it out
% ylim([0,40]) %comment it out
c = ((length(d)-1)/(d(length(d))-d(1)))*(27.7/25); % cm/pixel

